<?php
/**
 * @file
 * Helper functions for the Measuremail module.
 */

/**
 * Checks Measuremail endpoint.
 *
 * @param $endpoint string|NULL
 *   URI of the Measuremail endpoint, as defined in the administration.
 *
 * @return bool
 */
function _measuremail_subscription_get_endpoint($endpoint = NULL) {
  if (!isset($endpoint)) {
    $endpoint = variable_get('measuremail_subscription_endpoint', MEASUREMAIL_SUBSCRIPTION_ENDPOINT);
  }
  // TODO: validate endpoint.
  if ($endpoint) {
    return true;
  }

  return false;
}

/**
 * Gets a clean version of the fields as an array.
 *
 * @return array
 *   The relevant fields.
 */
function _measuremail_subscription_measuremail_fields() {
  $fields = variable_get_value('measuremail_subscription_measuremail_fields');

  if (!empty($fields)) {
    $fields = explode("\n", $fields);
    $fields = array_map('trim', $fields);
  }

  return $fields;
}