<?php

/**
 * @file
 * Definition of variables for Variable API module.
 */

/**
 * Implements hook_variable_info().
 */
function measuremail_variable_info($options) {
  $variables['measuremail_subscription_privacyurl'] = array(
    'type' => 'string',
    'title' => t('Privacy URL'),
    'default' => '',
    'description' => t('Absolute link to the privacy policy URL.'),
    'required' => FALSE,
    'group' => 'measuremail',
    'localize' => TRUE,
  );

  $variables['measuremail_subscription_message_success'] = array(
    'type' => 'string',
    'title' => t('Success Message'),
    'default_value' => variable_get('measuremail_subscription_message_success', MEASUREMAIL_SUBSCRIPTION_MESSAGE_SUCCESS),
    'description' => t('Enter the message that will be displayed if everything went well.'),
    'required' => TRUE,
    'group' => 'measuremail',
    'localize' => TRUE,
  );

  $variables['measuremail_subscription_message_update'] = array(
    'type' => 'string',
    'title' => t('Update Message'),
    'default_value' => variable_get('measuremail_subscription_message_update', MEASUREMAIL_SUBSCRIPTION_MESSAGE_UPDATE),
    'description' => t('Enter the message that will be displayed if this user has already subscribed.'),
    'required' => TRUE,
    'group' => 'measuremail',
    'localize' => TRUE,
  );

  $variables['measuremail_subscription_message_error'] = array(
    'type' => 'string',
    'title' => t('Error Message'),
    'default_value' => variable_get('measuremail_subscription_message_error', MEASUREMAIL_SUBSCRIPTION_MESSAGE_ERROR),
    'description' => t('Enter the message that will be displayed if an error is returned by Measuremail.'),
    'required' => TRUE,
    'group' => 'measuremail',
    'localize' => TRUE,
  );

  return $variables;
}

/**
 * Implements hook_variable_group_info().
 */
function measuremail_variable_group_info() {
  $groups['measuremail'] = array(
    'title' => t('Measuremail'),
    'description' => '',
    'access' => true,
    'path' => array('admin/config/services/measuremail'),
  );

  return $groups;
}
